JCLLoggerAdapter (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j.impl

## Class JCLLoggerAdapter

- java.lang.Object
- - org.slf4j.helpers.MarkerIgnoringBase
  - - org.slf4j.impl.JCLLoggerAdapter

- All Implemented Interfaces:
    Serializable, Logger

      public final class JCLLoggerAdapter
      extends MarkerIgnoringBase

  A wrapper over `org.apache.commons.logging.Log` in conformance with the `Logger` interface.
  Author:
    Ceki Gülcü
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `debug(String format, Object... arguments)` Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `debug(String format, Object arg)` Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `debug(String format, Object arg1, Object arg2)` Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `debug(String msg, Throwable t)` Delegates to the `Log.debug(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
    `void` | `error(String msg)` Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `error(String format, Object... arguments)` Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `error(String format, Object arg)` Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `error(String format, Object arg1, Object arg2)` Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `error(String msg, Throwable t)` Delegates to the `Log.error(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
    `String` | `getName()` Return the name of this `Logger` instance.
    `void` | `info(String msg)` Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `info(String format, Object... arguments)` Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `info(String format, Object arg)` Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `info(String format, Object arg1, Object arg2)` Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `info(String msg, Throwable t)` Delegates to the `Log.info(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
    `boolean` | `isDebugEnabled()` Delegates to the `Log.isDebugEnabled()` method of the underlying `Log` instance.
    `boolean` | `isErrorEnabled()` Delegates to the `Log.isErrorEnabled()` method of the underlying `Log` instance.
    `boolean` | `isInfoEnabled()` Delegates to the `Log.isInfoEnabled()` method of the underlying `Log` instance.
    `boolean` | `isTraceEnabled()` Delegates to the `Log.isTraceEnabled()` method of the underlying `Log` instance.
    `boolean` | `isWarnEnabled()` Delegates to the `Log.isWarnEnabled()` method of the underlying `Log` instance.
    `protected Object` | `readResolve()` Replace this instance with a homonymous (same name) logger returned by LoggerFactory.
    `void` | `trace(String msg)` Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `trace(String format, Object... arguments)` Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `trace(String format, Object arg)` Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `trace(String format, Object arg1, Object arg2)` Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `trace(String msg, Throwable t)` Delegates to the `Log.trace(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
    `void` | `warn(String msg)` Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `warn(String format, Object... arguments)` Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `warn(String format, Object arg)` Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `warn(String format, Object arg1, Object arg2)` Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.
    `void` | `warn(String msg, Throwable t)` Delegates to the `Log.warn(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.

    - ### Methods inherited from class org.slf4j.helpers.MarkerIgnoringBase

      `debug, debug, debug, debug, debug, error, error, error, error, error, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, toString, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.slf4j.Logger

      `getName`

- - ### Field Detail

    - #### name

          protected String name

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Delegates to the `Log.isTraceEnabled()` method of the underlying `Log` instance.
      Returns:
        True if this Logger is enabled for the TRACE level, false otherwise.

    - #### trace

          public void trace(String msg)

      Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.
      Parameters:
        `msg` - - the message object to be logged

    - #### trace

          public void trace(String format,
                            Object arg)

      Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level TRACE.

      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### trace

          public void trace(String format,
                            Object arg1,
                            Object arg2)

      Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level TRACE.

      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### trace

          public void trace(String format,
                            Object... arguments)

      Delegates to the `Log.trace(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level TRACE.

      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### trace

          public void trace(String msg,
                            Throwable t)

      Delegates to the `Log.trace(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Delegates to the `Log.isDebugEnabled()` method of the underlying `Log` instance.
      Returns:
        True if this Logger is enabled for the DEBUG level, false otherwise.

    - #### debug

          public void debug(String msg)

      Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
      Parameters:
        `msg` - - the message object to be logged

    - #### debug

          public void debug(String format,
                            Object arg)

      Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level DEBUG.

      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### debug

          public void debug(String format,
                            Object arg1,
                            Object arg2)

      Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level DEBUG.

      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### debug

          public void debug(String format,
                            Object... arguments)

      Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level DEBUG.

      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### debug

          public void debug(String msg,
                            Throwable t)

      Delegates to the `Log.debug(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Delegates to the `Log.isInfoEnabled()` method of the underlying `Log` instance.
      Returns:
        True if this Logger is enabled for the INFO level, false otherwise.

    - #### info

          public void info(String msg)

      Delegates to the `Log.debug(java.lang.Object)` method of the underlying `Log` instance.
      Parameters:
        `msg` - - the message object to be logged

    - #### info

          public void info(String format,
                           Object arg)

      Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level INFO.

      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### info

          public void info(String format,
                           Object arg1,
                           Object arg2)

      Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level INFO.

      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### info

          public void info(String format,
                           Object... arguments)

      Delegates to the `Log.info(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level INFO.

      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### info

          public void info(String msg,
                           Throwable t)

      Delegates to the `Log.info(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Delegates to the `Log.isWarnEnabled()` method of the underlying `Log` instance.
      Returns:
        True if this Logger is enabled for the WARN level, false otherwise.

    - #### warn

          public void warn(String msg)

      Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.
      Parameters:
        `msg` - - the message object to be logged

    - #### warn

          public void warn(String format,
                           Object arg)

      Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level WARN.

      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### warn

          public void warn(String format,
                           Object arg1,
                           Object arg2)

      Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level WARN.

      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### warn

          public void warn(String format,
                           Object... arguments)

      Delegates to the `Log.warn(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level WARN.

      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### warn

          public void warn(String msg,
                           Throwable t)

      Delegates to the `Log.warn(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Delegates to the `Log.isErrorEnabled()` method of the underlying `Log` instance.
      Returns:
        True if this Logger is enabled for the ERROR level, false otherwise.

    - #### error

          public void error(String msg)

      Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.
      Parameters:
        `msg` - - the message object to be logged

    - #### error

          public void error(String format,
                            Object arg)

      Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level ERROR.

      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### error

          public void error(String format,
                            Object arg1,
                            Object arg2)

      Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level ERROR.

      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### error

          public void error(String format,
                            Object... arguments)

      Delegates to the `Log.error(java.lang.Object)` method of the underlying `Log` instance.

      However, this form avoids superfluous object creation when the logger is disabled for level ERROR.

      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### error

          public void error(String msg,
                            Throwable t)

      Delegates to the `Log.error(java.lang.Object, java.lang.Throwable)` method of the underlying `Log` instance.
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### getName

          public String getName()

      Description copied from interface: `Logger`
      Return the name of this `Logger` instance.
      Specified by:
        `getName` in interface `Logger`
      Returns:
        name of this logger instance

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Replace this instance with a homonymous (same name) logger returned by LoggerFactory. Note that this method is only called during deserialization.

      This approach will work well if the desired ILoggerFactory is the one references by LoggerFactory. However, if the user manages its logger hierarchy through a different (non-static) mechanism, e.g. dependency injection, then this approach would be mostly counterproductive.

      Returns:
        logger with same name as returned by LoggerFactory
      Throws:
        `ObjectStreamException`

Copyright © 2005–2019 QOS.ch. All rights reserved.